[Pkg-haskell-commits] darcs: haskell-hgettext: add-autopkgtest
Sven Bartscher
sven.bartscher at weltraumschlangen.de
Thu Jan 1 20:17:41 UTC 2015
Thu Jan 1 20:16:06 UTC 2015 Sven Bartscher <sven.bartscher at weltraumschlangen.de>
* add-autopkgtest
A ./tests/
A ./tests/Setup.hs
A ./tests/cabal-install-compatibility
A ./tests/control
A ./tests/example.cabal
A ./tests/example.hs
Thu Jan 1 20:16:06 UTC 2015 Sven Bartscher <sven.bartscher at weltraumschlangen.de>
* add-autopkgtest
diff -rN -u old-haskell-hgettext/tests/cabal-install-compatibility new-haskell-hgettext/tests/cabal-install-compatibility
--- old-haskell-hgettext/tests/cabal-install-compatibility 1970-01-01 00:00:00.000000000 +0000
+++ new-haskell-hgettext/tests/cabal-install-compatibility 2015-01-01 20:17:41.273053840 +0000
@@ -0,0 +1,23 @@
+#!/bin/sh
+set -e
+
+# Create the example package
+cd debian/tests
+cp Setup.hs example.cabal example.hs $ADTTMP
+cd $ADTTMP
+mkdir example
+mv Setup.hs example.cabal example.hs example
+cd example
+touch LICENSE.txt # Cabal expects this
+
+# These tests are needed to make sure the cabal libraries used to compile
+# cabal-install and hgettext are compatible.
+# Test whether we can configure this
+cabal configure
+# Test whether we can build this
+cabal build
+# Test whether we can compile to repl
+cabal repl
+# Test whether we can install
+mkdir $ADTTMP/test-install
+cabal install --prefix $ADTTMP/test-install
diff -rN -u old-haskell-hgettext/tests/control new-haskell-hgettext/tests/control
--- old-haskell-hgettext/tests/control 1970-01-01 00:00:00.000000000 +0000
+++ new-haskell-hgettext/tests/control 2015-01-01 20:17:41.273053840 +0000
@@ -0,0 +1,3 @@
+Tests: cabal-install-compatibility
+Depends: cabal-install, libghc-hgettext-dev
+Restrictions: allow-stderr
diff -rN -u old-haskell-hgettext/tests/example.cabal new-haskell-hgettext/tests/example.cabal
--- old-haskell-hgettext/tests/example.cabal 1970-01-01 00:00:00.000000000 +0000
+++ new-haskell-hgettext/tests/example.cabal 2015-01-01 20:17:41.273053840 +0000
@@ -0,0 +1,14 @@
+name: example
+version: 0.1.0
+synopsis: A program for this test
+license: BSD3
+license-file: LICENSE.txt
+author: Sven Bartscher
+maintainer: sven.bartscher at weltraumschlangen.de
+category: Misc
+build-type: Custom
+cabal-version: >=1.8
+
+executable example:
+ main-is: example.hs
+ build-depends: base
\ Kein Zeilenumbruch am Dateiende.
diff -rN -u old-haskell-hgettext/tests/example.hs new-haskell-hgettext/tests/example.hs
--- old-haskell-hgettext/tests/example.hs 1970-01-01 00:00:00.000000000 +0000
+++ new-haskell-hgettext/tests/example.hs 2015-01-01 20:17:41.273053840 +0000
@@ -0,0 +1 @@
+main = putStrLn "Hello, World!"
diff -rN -u old-haskell-hgettext/tests/Setup.hs new-haskell-hgettext/tests/Setup.hs
--- old-haskell-hgettext/tests/Setup.hs 1970-01-01 00:00:00.000000000 +0000
+++ new-haskell-hgettext/tests/Setup.hs 2015-01-01 20:17:41.273053840 +0000
@@ -0,0 +1,2 @@
+import Distribution.Simple.I18N.GetText
+main = gettextDefaultMain
More information about the Pkg-haskell-commits
mailing list